Skip to content

List follow-ups

GET
/{currentTeam}/corrective-actions
curl --request GET \
--url https://api.tradeops.cc/v1/example/corrective-actions \
--header 'Authorization: Bearer <token>'
currentTeam
required
string

The current team slug

include
Array<string>
Allowed values: submission submission.auditType submission.auditType.fields submission.auditType.fields.auditType submission.auditType.fields.auditType.fields submission.customer submission.customer.locations customer customer.locations assignedTo
fields[corrective_actions]
Array<string>
Allowed values: title description priority status due_date resolved_at resolution_notes created_at updated_at
fields[submissions]
Array<string>
Allowed values: data status score max_score latitude longitude submitted_at reviewed_at review_notes created_at updated_at
fields[audit_types]
Array<string>
Allowed values: name slug description icon color status settings created_at updated_at
fields[fields]
Array<string>
Allowed values: name label type section options validation order required score_weight conditional
fields[customers]
Array<string>
Allowed values: name slug number type channel region territory address city parish latitude longitude contact_name contact_phone contact_email metadata is_active created_at updated_at
fields[customer_locations]
Array<string>
Allowed values: name address city state_province latitude longitude contact_name contact_phone contact_email is_primary is_active created_at updated_at
fields[users]
Array<string>
Allowed values: name email phone avatar two_factor_enabled teams

Array of CorrectiveActionResource

Media typeapplication/vnd.api+json
object
data
required
Array<object>
CorrectiveActionResource
object
id
required
string
type
required
string
Allowed value: corrective_actions
attributes
object
title
string
description
string | null
priority
string
status
string
due_date
string | null format: date-time
resolved_at
string | null format: date-time
resolution_notes
string | null
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
submission
object
data
required
object
id
required
string
type
required
string
Allowed value: submissions
customer
object
data
required
object
id
required
string
type
required
string
Allowed value: customers
assignedTo
object
data
required
object
id
required
string
type
required
string
Allowed value: users
links
required
object
self
required
string
included
Array
Any of:
SubmissionResource
object
id
required
string
type
required
string
Allowed value: submissions
attributes
object
data
object
status
string
score
string | null
max_score
string | null
latitude
string | null
longitude
string | null
submitted_at
string | null format: date-time
reviewed_at
string | null format: date-time
review_notes
string | null
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
auditType
object
data
required
object
id
required
string
type
required
string
Allowed value: audit_types
customer
object
data
required
object
id
required
string
type
required
string
Allowed value: customers
links
required
object
self
required
string

Example

{
"data": [
{
"type": "corrective_actions",
"relationships": {
"submission": {
"data": {
"type": "submissions"
}
},
"customer": {
"data": {
"type": "customers"
}
},
"assignedTo": {
"data": {
"type": "users"
}
}
}
}
],
"included": [
{
"type": "submissions",
"relationships": {
"auditType": {
"data": {
"type": "audit_types"
}
},
"customer": {
"data": {
"type": "customers"
}
}
}
}
]
}

Unauthenticated

Media typeapplication/json
object
message
required

Error overview.

string

Example generated

{
"message": "example"
}

Authorization error

Media typeapplication/json
object
message
required

Error overview.

string

Example generated

{
"message": "example"
}

Not found

Media typeapplication/json
object
message
required

Error overview.

string

Example generated

{
"message": "example"
}

Too many requests. Wait for Retry-After seconds before trying again.

Media typeapplication/json
object
message
required
string

Example generated

{
"message": "example"
}
Retry-After
integer

Seconds until you can try again.